using BeWo.Data.Entities;
using BS.Shared.DataContracts;

namespace BeWo.Service.DCEntityMapper
{
	public class DarreichungsformDC_Darreichungsform : AbstractIDCEntityMapper<Darreichungsform, DarreichungsformDC>
	{
		public override DarreichungsformDC MergeWithDC(Darreichungsform pEntity, DarreichungsformDC pDataContract)
		{
			pDataContract.DarreichungsformOid = pEntity.Oid;
			pDataContract.DarreichungsformVersion = pEntity.Version;
			pDataContract.Bezeichnung = pEntity.Bezeichnung;
			pDataContract.Wert = pEntity.Wert;

			return pDataContract;
		}

		public override Darreichungsform MergeWithEntity(DarreichungsformDC pDataContract, Darreichungsform pEntity)
		{
			ConcurrencyCheck(pDataContract.DarreichungsformVersion, pEntity);

			pEntity.Oid = pDataContract.DarreichungsformOid;
			pEntity.Bezeichnung = pDataContract.Bezeichnung;
			pEntity.Wert = pDataContract.Wert;

			return pEntity;
		}

		protected override bool AreDCAndEntityEqual(DarreichungsformDC pDC, Darreichungsform pEntity)
		{
			if (pDC.DarreichungsformOid == null)
				return false;

			return pDC.DarreichungsformOid == pEntity.Oid;
		}
	}
}
